Bug 19788 - Case sensitivity is not preserved when creating local system preferences
Summary: Case sensitivity is not preserved when creating local system preferences
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Frédéric Demians
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-11 07:25 UTC by Frédéric Demians
Modified: 2018-06-04 20:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19788 Local preference with uppercase (1.40 KB, patch)
2017-12-11 07:32 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 19788 Local preference with uppercase (1.46 KB, patch)
2017-12-11 08:12 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19788: Add a test (1.06 KB, patch)
2017-12-19 14:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19788 Local preference with uppercase (1.51 KB, patch)
2017-12-21 14:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19788: Add a test (1.11 KB, patch)
2017-12-21 14:56 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2017-12-11 07:25:24 UTC
In Administration > System preferences, when adding a local preference, the 'variable' name is transformed in lowercase.
Comment 1 Frédéric Demians 2017-12-11 07:32:41 UTC
Created attachment 69675 [details] [review]
Bug 19788 Local preference with uppercase

Fix a bug tranforming new local preference variable name in lowercase.

TO TEST:

1. Admin > System preferences > Local use
2. Button New preference. Fill variable field with 'TESTfoo'. Click
   Save.
3. The new variable is named: 'testfoo'.
4. Apply the patch.
5. Button New preference. Fill variable field with 'TESTfoo2'. Click
   Save.
6. The new variable is properly named: 'TESTfoo2'.
Comment 2 Claire Gravely 2017-12-11 08:12:03 UTC
Created attachment 69676 [details] [review]
Bug 19788 Local preference with uppercase

Fix a bug tranforming new local preference variable name in lowercase.

TO TEST:

1. Admin > System preferences > Local use
2. Button New preference. Fill variable field with 'TESTfoo'. Click
   Save.
3. The new variable is named: 'testfoo'.
4. Apply the patch.
5. Button New preference. Fill variable field with 'TESTfoo2'. Click
   Save.
6. The new variable is properly named: 'TESTfoo2'.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Marcel de Rooy 2017-12-15 11:06:31 UTC
Who can provide me some more guarantee that we do not break things with this patch? Did you run all tests? Can you add a test?
Comment 4 Jonathan Druart 2017-12-19 14:56:39 UTC
Created attachment 69912 [details] [review]
Bug 19788: Add a test
Comment 5 Jonathan Druart 2017-12-19 15:02:45 UTC
This patch makes sense to me.
Comment 6 Kyle M Hall 2017-12-21 14:56:42 UTC
Created attachment 70041 [details] [review]
Bug 19788 Local preference with uppercase

Fix a bug tranforming new local preference variable name in lowercase.

TO TEST:

1. Admin > System preferences > Local use
2. Button New preference. Fill variable field with 'TESTfoo'. Click
   Save.
3. The new variable is named: 'testfoo'.
4. Apply the patch.
5. Button New preference. Fill variable field with 'TESTfoo2'. Click
   Save.
6. The new variable is properly named: 'TESTfoo2'.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2017-12-21 14:56:49 UTC
Created attachment 70042 [details] [review]
Bug 19788: Add a test

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Jonathan Druart 2017-12-22 16:17:25 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 9 Nick Clemens 2018-01-15 16:45:45 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 10 Fridolin SOMERS 2018-01-19 13:23:14 UTC
Pushed to 17.05.x for v17.05.08